Package com.collabnet.ce.soap60.webservices.planning

# Class PlanningFolder4SoapDOMarshaler

java.lang.Object
com.collabnet.ce.soap60.marshaling.AbstractStatelessSoapMarshaler
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDOMarshaler
com.collabnet.ce.soap60.webservices.cemain.FolderSoapDOMarshaler
com.collabnet.ce.soap60.webservices.planning.PlanningFolder4SoapDOMarshaler

All Implemented Interfaces:
  `SoapMarshaler`

public class PlanningFolder4SoapDOMarshaler extends FolderSoapDOMarshaler
The Class PlanningFolder4SoapDOMarshaler.

Since:
  7.2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PlanningFolder4SoapDOMarshaler`
  `getInstance()`
  Gets the single instance of PlanningFolder4SoapDOMarshaler.
  `Object`
  `rmiToSoap(Object rmiObject)`
  Rmi to soap.
  `Object`
  `soapToRmi(Object soapObject)`
  Soap to rmi.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapDOMarshaler

  `protectedRmiToSoap, protectedSoapToRmi`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDOMarshaler

  `getCoreService`

  ### Methods inherited from class com.collabnet.ce.soap60.marshaling.AbstractStatelessSoapMarshaler

  `isStateless`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static PlanningFolder4SoapDOMarshaler getInstance()
    Gets the single instance of PlanningFolder4SoapDOMarshaler.
    Returns:
      single instance of PlanningFolder4SoapDOMarshaler

  - ### soapToRmi

    public Object soapToRmi(Object soapObject) throws SoapMarshalingException
    Soap to rmi.
    Parameters:
      `soapObject` - the soap object
    Returns:
      the object
    Throws:
      `SoapMarshalingException` - the soap marshaling exception
    See Also:
      - `SoapMarshaler.soapToRmi(java.lang.Object)`

  - ### rmiToSoap

    public Object rmiToSoap(Object rmiObject) throws SoapMarshalingException
    Rmi to soap.
    Parameters:
      `rmiObject` - the rmi object
    Returns:
      the object
    Throws:
      `SoapMarshalingException` - the soap marshaling exception
    See Also:
      - `SoapMarshaler.rmiToSoap(java.lang.Object)`